crossplatform.ru

Здравствуйте, гость ( Вход | Регистрация )

2 страниц V   1 2 >  
Ответить в данную темуНачать новую тему
> Запуск qt приложения на linux
breeve
  опции профиля:
сообщение 26.2.2010, 21:24
Сообщение #1


Участник
**

Группа: Участник
Сообщений: 188
Регистрация: 26.12.2009
Пользователь №: 1336

Спасибо сказали: 9 раз(а)




Репутация:   1  


Не могу запустить программу на чужом linux'e. Стояла старая версия (qt 4.5), запускал все работало, сейчас пишет ошибку segmentaion fault.
Может быть я конечно не правильно собираю запускаю.. Собираю в Креаторе. Как только не пробовал собирать, даже самый простой проект не запускает, пишет ошибку.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Rocky
  опции профиля:
сообщение 26.2.2010, 22:04
Сообщение #2


Старейший участник
****

Группа: Участник
Сообщений: 530
Регистрация: 22.12.2008
Из: Санкт-Петербург
Пользователь №: 463

Спасибо сказали: 22 раз(а)




Репутация:   7  


А сейчас какая версия Qt? Не понял, даже только что созданный проект с одной функцией main падает по segmentaion fault? А из creatora-запускал (дебаг версию)? Должен вывалиться на исключение или еще на что-то.. Ну хотя бы дизассемблированный код будет и можно будет хоть посмотреть стек вызовов и примерно понять где ошибка.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
breeve
  опции профиля:
сообщение 26.2.2010, 22:08
Сообщение #3


Участник
**

Группа: Участник
Сообщений: 188
Регистрация: 26.12.2009
Пользователь №: 1336

Спасибо сказали: 9 раз(а)




Репутация:   1  


Цитата(Rocky @ 26.2.2010, 22:04) *
А сейчас какая версия Qt? Не понял, даже только что созданный проект с одной функцией main падает по segmentaion fault? А из creatora-запускал (дебаг версию)? Должен вывалиться на исключение или еще на что-то.. Ну хотя бы дизассемблированный код будет и можно будет хоть посмотреть стек вызовов и примерно понять где ошибка.

На моем компьютере все работает поскольку стоит qt creator последний и версия qt 4.6.2. У меня собирается все нормально без каких-либо ошибок.. Хочется запустить на чужом компьютере свою программу без предустановки qt.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Rocky
  опции профиля:
сообщение 26.2.2010, 22:14
Сообщение #4


Старейший участник
****

Группа: Участник
Сообщений: 530
Регистрация: 22.12.2008
Из: Санкт-Петербург
Пользователь №: 463

Спасибо сказали: 22 раз(а)




Репутация:   7  


Ну это надо либо статически пересобирать Qt на твоей машине (чтобы прога ни от чего не зависела), либо тягать с собой *.so 4.6.2 и при этом разобраться с ldconfig-ом. По-последнему можешь поискать по форуму, я сам недавно это спрашивал, мне объяснили что и как)
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
breeve
  опции профиля:
сообщение 27.2.2010, 17:03
Сообщение #5


Участник
**

Группа: Участник
Сообщений: 188
Регистрация: 26.12.2009
Пользователь №: 1336

Спасибо сказали: 9 раз(а)




Репутация:   1  


Цитата(Rocky @ 26.2.2010, 22:14) *
Ну это надо либо статически пересобирать Qt на твоей машине (чтобы прога ни от чего не зависела), либо тягать с собой *.so 4.6.2 и при этом разобраться с ldconfig-ом. По-последнему можешь поискать по форуму, я сам недавно это спрашивал, мне объяснили что и как)

Решил пересобрать Qt из сурсов. Скачал исходники с офф. сайта, распаковал. Начал собирать. Посмотрел какие там есть настройки. Сделал как сказано в вики. Пока собралось ждал часа 2.5. Потом зашел в Креатор в настройках изменил путь к qmake. И в итоге ничего не работает. Пишет ошибку при сборке "Не выбран корректный профиль Кьют. Выберите его там-то там-то.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Rocky
  опции профиля:
сообщение 27.2.2010, 17:09
Сообщение #6


Старейший участник
****

Группа: Участник
Сообщений: 530
Регистрация: 22.12.2008
Из: Санкт-Петербург
Пользователь №: 463

Спасибо сказали: 22 раз(а)




Репутация:   7  


Инструменты->Параметры->Qt4->Qt Versions. Заполнить все поля, выставить профиль по умолчанию и "ок".
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
breeve
  опции профиля:
сообщение 27.2.2010, 20:55
Сообщение #7


Участник
**

Группа: Участник
Сообщений: 188
Регистрация: 26.12.2009
Пользователь №: 1336

Спасибо сказали: 9 раз(а)




Репутация:   1  


Заполнил все поля верно. все равно ошибку выдает при компиляции (выше написал). Я скорее всего собрал не правильно. Вроде ошибок при сборке не было. Что должно быть в папке с собранной кьют? у меня там 10 папок и весят все они где-то 800 метров. и еще вопрос - вот я собрал не правильно допустим, можно просто удалить эту папку, в корзину ее швырнуть? или надо как то грамотней удалять?

Сообщение отредактировал breeve - 27.2.2010, 20:56
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Rocky
  опции профиля:
сообщение 27.2.2010, 22:10
Сообщение #8


Старейший участник
****

Группа: Участник
Сообщений: 530
Регистрация: 22.12.2008
Из: Санкт-Петербург
Пользователь №: 463

Спасибо сказали: 22 раз(а)




Репутация:   7  


Цитата(breeve @ 27.2.2010, 20:55) *
Заполнил все поля верно. все равно ошибку выдает при компиляции (выше написал).

Выше это где? Покажи хоть небольшой вывод компилятора что пишет...

Цитата
вот я собрал не правильно допустим, можно просто удалить эту папку, в корзину ее швырнуть?

речь все еще о linux? Ну я когда пересобирал из динамической в статическую сборку просто удалил всю папку /usr/bin/Trolltech и ту папку в которой делал configure, потом заново распаковал архив с исходниками Qt и заново сделал configure и пр (т.е. confclean не делал, решил с чистого листа). Вроде так можно делать. Я просто вывод make install смотрел при первой установке и кроме как в /usr/bin/Trolltech он никуда ниче не писал. Просто неправильность в том что можно как бы это выразиться.... заделать систему непонятными файлами. Ну make install пишет что куда копирует вобщем=)

А с чего взял, что неправильно собралось? Покажи вывод хм какой-нить ls .. ну куда она эта Qt встала? (ls -la /usr/local/Trolltech/ля-ля-ля/lib/)

Сообщение отредактировал Rocky - 27.2.2010, 22:12
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
breeve
  опции профиля:
сообщение 28.2.2010, 0:53
Сообщение #9


Участник
**

Группа: Участник
Сообщений: 188
Регистрация: 26.12.2009
Пользователь №: 1336

Спасибо сказали: 9 раз(а)




Репутация:   1  


Цитата(Rocky)
Покажи хоть небольшой вывод компилятора что пишет...
Вот:
Цитата(Qt Creator)
Не выбран корректный профиль Qt. Выберите его в Инструменты - Параметры
Ошибка во время сборки проекта FirstStatic
Во время выполнения сборки на этапе 'QMake'
Прерванная сборка.
Да речь все еще о линух.
С чего взял что собралось не правильно..
1)Вообщем я распаковал исходники, и из этой папки несколько раз пытался сделать configure.
2)В настройках Creatora только что заметил такую строчечку:
Цитата
"Версия Qt, определенная как /usr/local/Trolltech/Qt-4.6.2/bin/qmake , не установлена. Выполните make install."

Я все подчистую удалил и начал заново собирать, посмотрим что получиться..

Сообщение отредактировал breeve - 28.2.2010, 0:57
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Kagami
  опции профиля:
сообщение 28.2.2010, 10:08
Сообщение #10


Старейший участник
****

Группа: Участник
Сообщений: 601
Регистрация: 2.2.2009
Пользователь №: 523

Спасибо сказали: 101 раз(а)




Репутация:   9  


У меня такое было когда я перенес Qt в другое место. Путь, куда она устанавливается, жестко зашивается в бинарники, поэтому их перемещать не стоит :)
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение

2 страниц V   1 2 >
Быстрый ответОтветить в данную темуНачать новую тему
Теги
Нет тегов для показа


1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0




RSS Текстовая версия Сейчас: 30.5.2017, 10:27